-- **************************************************************************
-- **
-- **  Project:
-- **     Biplane - 2d fun & easy flight simulation game
-- **
-- **  Copyright:
-- **     This program is free software; you can redistribute it and/or
-- **     modify it under the terms of the GNU General Public License
-- **     as published by the Free Software Foundation; either version
-- **     2 of the License, or (at your option) any later version.
-- **
-- **     This program is distributed in the hope that it will be useful,
-- **     but WITHOUT ANY WARRANTY; without even the implied warranty of
-- **     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-- **     General Public License for more details.
-- **
-- **     You should have received a copy of the GNU General Public License
-- **     along with this software; if not, write to the Free Software
-- **     Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
-- **     MA 02111-1307, USA.
-- **
-- **  Last Modified: $Id: conf.lua 173 2018-10-16 15:27:47Z matthias $
-- **
-- **************************************************************************

-- **************************************************************************
-- **  Game specific love2d configuration options
-- **************************************************************************

function love.conf(t)
	--t.identity = nil                   -- The name of the save directory (string)
	-- t.version = "11.1"                -- The LÖVE version this game was made for (string)
	t.console = true                  -- Attach a console (boolean, Windows only)

	t.window.title = "Physik-test"        -- The window title (string)
	--t.window.icon = nil                -- Filepath to an image to use as the window's icon (string)
	-- t.window.width = 800               -- The window width (number)
	-- t.window.height = 600              -- The window height (number)
	--t.window.borderless = false        -- Remove all border visuals from the window (boolean)
	--t.window.resizable = false         -- Let the window be user-resizable (boolean)
	--t.window.minwidth = 1              -- Minimum window width if the window is resizable (number)
	--t.window.minheight = 1             -- Minimum window height if the window is resizable (number)
	-- t.window.fullscreen = true        -- Enable fullscreen (boolean)
	-- t.window.fullscreentype = "desktop" -- Choose between "normal" fullscreen or "desktop" fullscreen mode (string)
	-- t.window.vsync = false              -- Enable vertical sync (boolean)
	-- t.window.fsaa = 4                  -- The number of samples to use with multi-sampled antialiasing (number)
	--t.window.display = 1               -- Index of the monitor to show the window in (number)
	--t.window.highdpi = false           -- Enable high-dpi mode for the window on a Retina display (boolean)
	--t.window.srgb = false              -- Enable sRGB gamma correction when drawing to the screen (boolean)
	--t.window.x = nil                   -- The x-coordinate of the window's position in the specified display (number)
	--t.window.y = nil                   -- The y-coordinate of the window's position in the specified display (number)

	t.modules.audio = false             -- Enable the audio module (boolean)
	t.modules.event = true             -- Enable the event module (boolean)
	t.modules.graphics = true          -- Enable the graphics module (boolean)
	t.modules.image = false             -- Enable the image module (boolean)
	t.modules.joystick = false          -- Enable the joystick module (boolean)
	t.modules.keyboard = true          -- Enable the keyboard module (boolean)
	t.modules.math = true              -- Enable the math module (boolean)
	t.modules.mouse = false             -- Enable the mouse module (boolean)
	t.modules.physics = true           -- Enable the physics module (boolean)
	t.modules.sound = false             -- Enable the sound module (boolean)
	t.modules.system = false            -- Enable the system module (boolean)
	t.modules.timer = false             -- Enable the timer module (boolean), Disabling it will result 0 delta time in love.update
	t.modules.window = true            -- Enable the window module (boolean)
	t.modules.thread = false            -- Enable the thread module (boolean)
end
